List guest reviews (v1)
List an Airbnb stay's guest reviews newest first, including ratings, replies, and topic tags. total is the stay's full review count.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
stay_id_or_url*string
Listing id from the id field in a stay search result, or the listing's airbnb.com/rooms link.
Length
length <= 1000offset?|
next_offset from the previous response. Each request returns up to 50 reviews.
Range
0 <= value <= 100000Default
0curl -X GET "https://example.com/v1/airbnb/stay/reviews?stay_id_or_url=https%3A%2F%2Fwww.airbnb.com%2Frooms%2F4518031" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "stay_id": "string", "url": "string", "reviews": [ { "id": "string", "text": "string", "created_at": "string", "date_label": "string", "rating": 0, "language": "string", "translated_text": "string", "highlight": "string", "reviewer": { "name": "string", "id": "string", "location": "string", "tenure": "string", "picture": "string" }, "response": { "text": "string", "responder": "string", "date_label": "string" }, "photos": [ "string" ] } ], "count": 0, "total": 0, "has_more": true, "next_offset": 0, "tags": [ { "name": "string", "label": "string", "count": 0 } ] }, "details": { "reason": "no_results", "message": "string" }}